
package com.tmerclub.cloud.api.delivery.vo;

import com.tmerclub.cloud.common.vo.BaseVO;
import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;

/**
 * 物流订单项信息VO
 *
 * @author tmerclub
 * @date 2020-12-07 15:10:00
 */
public class DeliveryOrderItemFeignVO extends BaseVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "id")
    private Long deliveryOrderItemId;

    @Schema(description = "订单物流包裹id")
    private Long deliveryOrderId;

    @Schema(description = "商品图片")
    private String imgUrl;

    @Schema(description = "商品名称")
    private String spuName;

    @Schema(description = "商品数量")
    private Integer count;

    @Schema(description = "供应商商品图片")
    private String supplierImgUrl;

    @Schema(description = "供应商商品名称")
    private String supplierSpuName;

    public String getSupplierImgUrl() {
        return supplierImgUrl;
    }

    public void setSupplierImgUrl(String supplierImgUrl) {
        this.supplierImgUrl = supplierImgUrl;
    }

    public String getSupplierSpuName() {
        return supplierSpuName;
    }

    public void setSupplierSpuName(String supplierSpuName) {
        this.supplierSpuName = supplierSpuName;
    }

    public Long getDeliveryOrderItemId() {
        return deliveryOrderItemId;
    }

    public void setDeliveryOrderItemId(Long deliveryOrderItemId) {
        this.deliveryOrderItemId = deliveryOrderItemId;
    }

    public Long getDeliveryOrderId() {
        return deliveryOrderId;
    }

    public void setDeliveryOrderId(Long deliveryOrderId) {
        this.deliveryOrderId = deliveryOrderId;
    }

    public String getImgUrl() {
        return imgUrl;
    }

    public void setImgUrl(String imgUrl) {
        this.imgUrl = imgUrl;
    }

    public String getSpuName() {
        return spuName;
    }

    public void setSpuName(String spuName) {
        this.spuName = spuName;
    }

    public Integer getCount() {
        return count;
    }

    public void setCount(Integer count) {
        this.count = count;
    }

    @Override
    public String toString() {
        return "DeliveryOrderItemFeignVO{" +
                "deliveryOrderItemId=" + deliveryOrderItemId +
                ", deliveryOrderId=" + deliveryOrderId +
                ", imgUrl='" + imgUrl + '\'' +
                ", spuName='" + spuName + '\'' +
                ", count=" + count +
                ", supplierImgUrl=" + supplierImgUrl + '\'' +
                ", supplierSpuName='" + supplierSpuName + '\'' +
                '}';
    }
}
